get file = 'wm.sav'.

*add variable labels.
variable labels
  WICLNO    "Cluster number"
  /WIHHNO   "Household number"
  /WILNNO   "Line number"
  /HID      "Household ID"
  /WID      "Woman's ID"
  /WI1      "Line number"
  /WI2      "Name"
  /WI3AM    "Month of birth"
  /WI3AY    "Year of birth"
  /WI3B     "Age (completed years)"
  /CM1      "Ever given birth"
  /CM2AD    "Day of first birth"
  /CM2AM    "Month of first birth"
  /CM2AY    "Year of first birth"
  /CM2B     "Completed years since first birth"
  /CM3      "Sons or daughters living at home"
  /CM4A     "Sons at home"
  /CM4B     "Daughters at home"
  /CM5      "Sons or daughters living elsewhere"
  /CM6A     "Sons elsewhere"
  /CM6B     "Daughters elsewhere"
  /CM7      "Live births that later died"
  /CM8A     "Sons who have died"
  /CM8B     "Daughters who have died"
  /CM9      "Total children ever born"
  /CM11D    "Day of last birth"
  /CM11M    "Month of last birth"
  /CM11Y    "Year of last birth"
  /CM11X    "Live birth in last year"
  /TT1      "Has immunization card"
  /TT2      "Tetanus injection during last pregnancy"
  /TT3      "Number of tetanus doses during last pregnancy"
  /TT4      "Tetanus injection before last pregnancy"
  /TT5      "Number of tetanus doses before last pregnancy"
  /TT6AM    "Month of last dose"
  /TT6AY    "Year of last dose"
  /TT6B     "Years since last dose"
  /TT7      "Total lifetime tetanus doses"
  /MN1      "Vitamin A does after last birth"
  /MN2A     "Antenatal care: doctor"
  /MN2B     "Antenatal care: nurse/midwife"
  /MN2C     "Antenatal care: auxiliary midwife"
  /MN2D     "Antenatal care: TBA"
  /MN2F     "Antenatal care: other"
  /MN2Z     "Antenatal care: no one"
  /MN3A     "Delivery care: doctor"
  /MN3B     "Delivery care: nurse/midwife"
  /MN3C     "Delivery care: auxiliary midwife"
  /MN3D     "Delivery care: TBA"
  /MN3E     "Delivery care: relative/friend"
  /MN3F     "Delivery care: other"
  /MN3Z     "Delivery care: no one"
  /MN4      "Size of child"
  /MN5      "Child weighed at birth"
  /MN6A     "Weight at birth - source"
  /MN6      "Weight at birth - grams"
  /MN7      "Vision trouble during day during last pregnancy"
  /MN8      "Nightblindness during last pregnancy"
  /CU1      "Currently married or living with a man"
  /CU2      "Currently pregnant"
  /CU3      "Currently using family planning"
  /CU4A     "FP method: female sterilization"
  /CU4B     "FP method: male sterilization"
  /CU4C     "FP method: pill"
  /CU4D     "FP method: IUD"
  /CU4E     "FP method: injections"
  /CU4F     "FP method: implants"
  /CU4G     "FP method: condom"
  /CU4H     "FP method: female condom"
  /CU4I     "FP method: diaphragm"
  /CU4J     "FP method: foam/jelly"
  /CU4K     "FP method: LAM"
  /CU4L     "FP method: periodic abstinence"
  /CU4M     "FP method: withdrawal"
  /CU4N     "FP method: other"
  /HA1      "Heard of HIV/AIDS"
  /HA2      "Ways to avoid HIV"
  /HA3      "Protection: one partner"
  /HA4      "Transmission: supernatural means"
  /HA5      "Protection: condom"
  /HA6      "Transmission: mosquito bites"
  /HA7      "Protection: abstinence"
  /HA8      "Possible to appear healthy & have AIDS"
  /HA9      "Transmission: mother to child"
  /HA10     "Transmission: mother to child during pregnancy"
  /HA11     "Transmission: mother to child at delivery"
  /HA12     "Transmission: mother to child thru breastmilk"
  /HA13     "Should teacher with AIDS be allowed to teach"
  /HA14     "Frequent shopkeeper with AIDS"
  /HA15     "Had an AIDS test"
  /HA16     "Told results of test"
  /HA17     "Knows a place to get an AIDS test"
.

*Add value labels.
value labels
  WI3AM
    1 "January"
    2 "February"
    3 "March"
    4 "April"
    5 "May"
    6 "June"
    7 "July"
    8 "August"
    9 "September"
    10 "October"
    11 "November"
    12 "December"
    97 "Missing"
    99 "Don't know"
  /WI3AY
    9997 "Missing"
    9999 "Don't know"
  /WI3B
    97 "Missing"
    99 "Don't know"
  /CM1
    1 "Yes"
    2 "No"
  /CM2AD
    97 "Missing"
    99 "Don't know"
  /CM2AM
    1 "January"
    2 "February"
    3 "March"
    4 "April"
    5 "May"
    6 "June"
    7 "July"
    8 "August"
    9 "September"
    10 "October"
    11 "November"
    12 "December"
    97 "Missing"
    99 "Don't know"
  /CM2AY
    9997 "Missing"
    9999 "Don't know"
  /CM2B
    97 "Missing"
  /CM3
    1 "Yes"
    2 "No"
  /CM5
    1 "Yes"
    2 "No"
  /CM7
    1 "Yes"
    2 "No"
  /CM11D
    97 "Missing"
    99 "Don't know"
  /CM11M
    1 "January"
    2 "February"
    3 "March"
    4 "April"
    5 "May"
    6 "June"
    7 "July"
    8 "August"
    9 "September"
    10 "October"
    11 "November"
    12 "December"
    97 "Missing"
    99 "Don't know"
  /CM11Y
    9997 "Missing"
    9999 "Don't know"
  /TT1
    1 "Yes (card seen)"
    2 "Yes (card not seen)"
    3 "No"
    7 "Missing"
    9 "Don't know"
  /TT2
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /TT3
    97 "Missing"
    99 "Don't know"
  /TT4
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /TT5
    97 "Missing"
    99 "Don't know"
  /TT6AM
    97    "Missing"
    99    "Don't know"
  /TT6AY
    9997 "Missing"
    9999 "Don't know"
  /TT6B
    97 "Missing"
  /TT7
    97 "Missing"
    99 "Don't know"
  /MN1
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /MN2A
    1 "Doctor"
    0 "No"
    7 "Missing"
  /MN2B
    2 "Nurse/midwife"
    0 "No"
    7 "Missing"
  /MN2C
    3 "Auxiliary midwife"
    0 "No"
    7 "Missing"
  /MN2D
    4 "Traditional birth attendant"
    0 "No"
    7 "Missing"
  /MN2F
    6 "Other"
    0 "No"
    7 "Missing"
  /MN2Z
    0 "No one"
    8 "Not no one"
    7 "Missing"
  /MN3A
    1 "Doctor"
    0 "No"
    7 "Missing"
  /MN3B
    2 "Nurse/midwife"
    0 "No"
    7 "Missing"
  /MN3C
    3 "Auxiliary midwife"
    0 "No"
    7 "Missing"
  /MN3D
    4 "Traditional birth attendant"
    0 "No"
    7 "Missing"
  /MN3E
    5 "Relative/friend"
    0 "No"
    7 "Missing"
  /MN3F
    6 "Other"
    0 "No"
    7 "Missing"
  /MN3Z
    0 "No one"
    8 "Not no one"
    7 "Missing"
  /MN4
    1 "Very large"
    2 "Larger than average"
    3 "Average"
    4 "Smaller than average"
    5 "Very small"
    7 "Missing"
    9 "Don't know"
  /MN5
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /MN6A
    1 "Card"
    2 "Recall"
    7 "Missing"
    9 "Don't know"
  /MN6
    9997 "Missing"
    9999 "Don't know"
  /MN7
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /MN8
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /CU1
    1 "Yes"
    2 "No, widowed, divorced, separated"
    3 "No, never married"
  /CU2
    1 "Yes, currently pregnant"
    2 "No"
    3 "Unsure or Don't know"
    7 "Missing"
  /CU3
    1 "Yes"
    2 "No"
  /CU4A
    1 "Female sterilization"
    0 "No"
   97 "Missing"
  /CU4B
    2 "Male sterilization"
    0 "No"
   97 "Missing"
  /CU4C
    3 "Pill"
    0 "No"
   97 "Missing"
  /CU4D
    4 "IUD"
    0 "No"
   97 "Missing"
  /CU4E
    5 "Injections"
    0 "No"
   97 "Missing"
  /CU4F
    6 "Implants"
    0 "No"
   97 "Missing"
  /CU4G
    7 "Condom"
    0 "No"
   97 "Missing"
  /CU4H
    8 "Female condom"
    0 "No"
   97 "Missing"
  /CU4I
    9 "Diaphragm"
    0 "No"
   97 "Missing"
  /CU4J
   10 "Foam/jelly"
    0 "No"
   97 "Missing"
  /CU4K
   11 "Lactational amenorrhoea method"
    0 "No"
   97 "Missing"
  /CU4L
   12 "Periodic abstinence"
    0 "No"
   97 "Missing"
  /CU4M
   13 "Withdrawal"
    0 "No"
   97 "Missing"
  /CU4N
   14 "Other"
    0 "No"
   97 "Missing"
  /HA1
    1 "Yes"
    2 "No"
    7 "Missing"
  /HA2
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA3
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA4
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA5
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA6
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA7
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA8
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA9
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA10
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA11
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA12
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA13
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA14
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "Don't know"
  /HA15
    1 "Yes"
    2 "No"
    7 "Missing"
  /HA16
    1 "Yes"
    2 "No"
    7 "Missing"
  /HA17
    1 "Yes"
    2 "No"
    7 "Missing"
.

save outfile = 'wm.sav'.
